//------------------------------------------------------------------------------
// ConnectDlgRes.java:
//		Implementation of "control creator" class ConnectDlgRes
//------------------------------------------------------------------------------
import java.awt.*;
import DialogLayout;

public class ConnectDlgRes
{
	Container    m_Parent       = null;
	boolean      m_fInitialized = false;
	DialogLayout m_Layout;

	// Control definitions
	//--------------------------------------------------------------------------
	Label         IDC_STATIC1;
	TextField     IDC_ACCTNAME;
	Label         IDC_STATIC2;
	TextField     IDC_ACCTPASSWORD;
	Label         IDC_STATIC3;
	TextField     IDC_POPSERVER;
	Button        IDOK;
	Button        IDCANCEL;


	// Constructor
	//--------------------------------------------------------------------------
	public ConnectDlgRes (Container parent)
	{
		m_Parent = parent;
	}

	// Initialization.
	//--------------------------------------------------------------------------
	public boolean CreateControls()
	{
		// CreateControls should be called only once
		//----------------------------------------------------------------------
		if (m_fInitialized || m_Parent == null)
			return false;

		// m_Parent must be extended from the Container class
		//----------------------------------------------------------------------
		if (!(m_Parent instanceof Container))
			return false;

		// Since a given font may not be supported across all platforms, it
		// is safe to modify only the size of the font, not the typeface.
		//----------------------------------------------------------------------
	    Font OldFnt = m_Parent.getFont();
	    if (OldFnt != null)
	    {
			Font NewFnt = new Font(OldFnt.getName(), OldFnt.getStyle(), 8);

    		m_Parent.setFont(NewFnt);
	    }

		// All position and sizes are in dialog logical units, so we use a
		// DialogLayout as our layout manager.
		//----------------------------------------------------------------------
		m_Layout = new DialogLayout(m_Parent, 220, 114);
		m_Parent.setLayout(m_Layout);
		m_Parent.addNotify();

		Dimension size   = m_Layout.getDialogSize();
		Insets    insets = m_Parent.insets();
		
		m_Parent.resize(insets.left + size.width  + insets.right,
                        insets.top  + size.height + insets.bottom);

		// Control creation
		//----------------------------------------------------------------------
		IDC_STATIC1 = new Label ("Account Name:", Label.LEFT);
		m_Parent.add(IDC_STATIC1);
		m_Layout.setShape(IDC_STATIC1, 19, 22, 76, 8);

		IDC_ACCTNAME = new TextField ("");
		m_Parent.add(IDC_ACCTNAME);
		m_Layout.setShape(IDC_ACCTNAME, 106, 19, 94, 14);

		IDC_STATIC2 = new Label ("Account Password:", Label.LEFT);
		m_Parent.add(IDC_STATIC2);
		m_Layout.setShape(IDC_STATIC2, 19, 42, 78, 8);

		IDC_ACCTPASSWORD = new TextField ("");
		m_Parent.add(IDC_ACCTPASSWORD);
		m_Layout.setShape(IDC_ACCTPASSWORD, 106, 39, 94, 14);

		IDC_STATIC3 = new Label ("POP Server Name:", Label.LEFT);
		m_Parent.add(IDC_STATIC3);
		m_Layout.setShape(IDC_STATIC3, 19, 62, 76, 8);

		IDC_POPSERVER = new TextField ("");
		m_Parent.add(IDC_POPSERVER);
		m_Layout.setShape(IDC_POPSERVER, 106, 59, 94, 14);

		IDOK = new Button ("OK");
		m_Parent.add(IDOK);
		m_Layout.setShape(IDOK, 47, 83, 50, 14);

		IDCANCEL = new Button ("Cancel");
		m_Parent.add(IDCANCEL);
		m_Layout.setShape(IDCANCEL, 122, 83, 50, 14);

		m_fInitialized = true;
		return true;
	}
}
