//------------------------------------------------------------------------------
// MainWinRes.java:
//		Implementation of "control creator" class MainWinRes
//------------------------------------------------------------------------------
import java.awt.*;
import DialogLayout;

public class MainWinRes
{
	Container    m_Parent       = null;
	boolean      m_fInitialized = false;
	DialogLayout m_Layout;

	// Control definitions
	//--------------------------------------------------------------------------
	Button        IDC_CHECKMSGS;
	List          IDC_MESSAGES;
	Label         IDC_STATIC1;
	Label         IDC_TITLE;
	Label         IDC_STATUS;
	Button        IDC_VIEWMESSAGE;


	// Constructor
	//--------------------------------------------------------------------------
	public MainWinRes (Container parent)
	{
		m_Parent = parent;
	}

	// Initialization.
	//--------------------------------------------------------------------------
	public boolean CreateControls()
	{
		// CreateControls should be called only once
		//----------------------------------------------------------------------
		if (m_fInitialized || m_Parent == null)
			return false;

		// m_Parent must be extended from the Container class
		//----------------------------------------------------------------------
		if (!(m_Parent instanceof Container))
			return false;

		// Since a given font may not be supported across all platforms, it
		// is safe to modify only the size of the font, not the typeface.
		//----------------------------------------------------------------------
	    Font OldFnt = m_Parent.getFont();
	    if (OldFnt != null)
	    {
			Font NewFnt = new Font(OldFnt.getName(), OldFnt.getStyle(), 8);

    		m_Parent.setFont(NewFnt);
	    }

		// All position and sizes are in dialog logical units, so we use a
		// DialogLayout as our layout manager.
		//----------------------------------------------------------------------
		m_Layout = new DialogLayout(m_Parent, 297, 242);
		m_Parent.setLayout(m_Layout);
		m_Parent.addNotify();

		Dimension size   = m_Layout.getDialogSize();
		Insets    insets = m_Parent.insets();
		
		m_Parent.resize(insets.left + size.width  + insets.right,
                        insets.top  + size.height + insets.bottom);

		// Control creation
		//----------------------------------------------------------------------
		IDC_CHECKMSGS = new Button ("Check Messages...");
		m_Parent.add(IDC_CHECKMSGS);
		m_Layout.setShape(IDC_CHECKMSGS, 57, 211, 74, 14);

		IDC_MESSAGES = new List (1, false);
		m_Parent.add(IDC_MESSAGES);
		m_Layout.setShape(IDC_MESSAGES, 20, 49, 258, 136);

		IDC_STATIC1 = new Label ("Messages:", Label.LEFT);
		m_Parent.add(IDC_STATIC1);
		m_Layout.setShape(IDC_STATIC1, 20, 36, 35, 8);

		IDC_TITLE = new Label ("Java POP Client", Label.CENTER);
		m_Parent.add(IDC_TITLE);
		m_Layout.setShape(IDC_TITLE, 21, 18, 255, 8);

		IDC_STATUS = new Label ("[status]", Label.CENTER);
		m_Parent.add(IDC_STATUS);
		m_Layout.setShape(IDC_STATUS, 21, 194, 255, 8);

		IDC_VIEWMESSAGE = new Button ("View Message...");
		m_Parent.add(IDC_VIEWMESSAGE);
		m_Layout.setShape(IDC_VIEWMESSAGE, 167, 211, 74, 14);

		m_fInitialized = true;
		return true;
	}
}
